Bug 179317 - Disabled modules shown as enabled
Disabled modules shown as enabled
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
6.x
PC Linux
: P2 (vote)
: 6.x
Assigned To: Antonin Nebuzelsky
issues@apisupport
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-08 09:05 UTC by aldobrucale
Modified: 2010-02-03 21:50 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description aldobrucale 2010-01-08 09:05:04 UTC
I'm trying to modularize my platform-based app partitioning my modules in several clusters. In the Project Properties/Libraries window, all the modules from my suites are shown as enabled, even if they are listed under "disabled.modules" in nbproject/platform.properties (but the platform11 disabled modules are shown as disabled). This makes very difficult choosing the exact set of modules that will actually be enabled in the applications. Also, it seems that the dependency problems are not always detected (the "Resolve" button does not appear when I disable modules needed by other modules).
Comment 1 Antonin Nebuzelsky 2010-01-29 09:05:56 UTC
Confirming the problem with indication of inclusion state in Project Properties / Libraries / Platform Modules list for modules coming from additional clusters or suites added in this dialog.

I added another suite here, all its modules were marked as enabled. When I disabled a module's inclusion, the module got listed in disabled.modules in platform.properties of this project, but reopening the project properties dialog shows this module as included again and pushing OK removes this module from disabled.modules.
Comment 2 Antonin Nebuzelsky 2010-01-29 10:05:22 UTC
core-main #7b81fd928536
Comment 3 Quality Engineering 2010-02-03 21:50:42 UTC
Integrated into 'main-golden', will be available in build *201002040200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/7b81fd928536
User: Tonda Nebuzelsky <anebuzelsky@netbeans.org>
Log: #179317: Disabled modules shown as enabled


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo